//////////////////////////////////////////////////////////////////////////////////
//
// GUI Builder example.
//
//////////////////////////////////////////////////////////////////////////////////
//
// This source is an example of IBM Toolbox for Java "GUIBuilder".
// IBM grants you a nonexclusive license to use this as an example
// from which you can generate similar function tailored to
// your own specific needs.
//
// This sample code is provided by IBM for illustrative purposes
// only. These examples have not been thoroughly tested under all
// conditions. IBM, therefore, cannot guarantee or imply
// reliability, serviceability, or function of these programs.
//
// All programs contained herein are provided to you "AS IS"
// without any warranties of any kind.  The implied warranties of
// merchantablility and fitness for a particular purpose are
// expressly disclaimed.
//
// IBM Toolbox for Java
// (C) Copyright IBM Corp. 1999, 1999
// All rights reserved.
// US Government Users Restricted Rights -
// Use, duplication, or disclosure restricted
// by GSA ADP Schedule Contract with IBM Corp.
//
//////////////////////////////////////////////////////////////////////////////////

import com.ibm.as400.access.*;
import com.ibm.as400.ui.framework.java.*;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class GUIBuilderMain
implements ActionListener
{



    private static DataQueue    dq;
    private static JTextField   sendField;
    private static JButton      sendButton;
    private static JTextField   refreshField;
    private static JButton      refreshButton;



    public static void main(String[] args)
    {

        try {

            // ---------------------------------------------------------------
            //             Intro Lab Bonus Exercise #2 Part #5 - Insert code here.
            // ---------------------------------------------------------------

            // ---------------------------------------------------------------
            //                           End of code.
            // ---------------------------------------------------------------

            // Initialize the components as defined in GUIBuilderExample.pdml.
            sendField       = (JTextField)pm.getComponent("TEXTFIELD1");
            sendButton      = (JButton)pm.getComponent("BUTTON4");
            refreshField    = (JTextField)pm.getComponent("TEXTFIELD2");
            refreshButton   = (JButton)pm.getComponent("BUTTON5");

            // Initialize the AS400 object.
            AS400 system = new AS400();

            // Initialize the data queue object.  Create the data queue if
            // it is not already created.
            dq = new DataQueue(system, "/QSYS.LIB/COMMON.LIB/COMMON.DTAQ");
            try {
                dq.create(500, "*ALL", true, false, false, "");
            }
            catch(Exception e) {
                // Ignore.  This means that the data queue is already
                // created.
            }

            // Add a listener which makes the Send button write
            // an entry to the data queue whenever it is pressed.
            sendButton.addActionListener(new GUIBuilderMain());

            // Add a listener which makes the Refresh button
            // peek the data queue whenever it is pressed.
            refreshButton.addActionListener(new GUIBuilderMain());

            // ---------------------------------------------------------------
            //             Intro Lab Bonus Exercise #2 Part #6 - Insert code here.
            // ---------------------------------------------------------------

            // ---------------------------------------------------------------
            //                           End of code.
            // ---------------------------------------------------------------
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }


    public void actionPerformed(ActionEvent event)
    {
        try {

            // Write an entry to the data queue when the send
            // button is pressed.
            if (event.getSource() == sendButton) {
                dq.write(sendField.getText());
            }

            // Peek the data queue when the refresh button
            // is pressed.
            else {
                String text = dq.peek().getString();
                refreshField.setText(text);
            }
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }
}
